LinuxQuestions.org
Did you know LQ has a Linux Hardware Compatibility List?
Go Back   LinuxQuestions.org > Forums > Other *NIX Forums > Solaris / OpenSolaris
User Name
Password
Solaris / OpenSolaris This forum is for the discussion of Solaris and OpenSolaris.
General Sun, SunOS and Sparc related questions also go here.

Notices



Reply
 
Search this Thread
Old 07-03-2014, 03:13 PM   #1
keziacp
LQ Newbie
 
Registered: Mar 2014
Posts: 12

Rep: Reputation: Disabled
Exclamation RRDTOOL on Solaris 11 to install nagiosgraph


Hi all,
Plese could someone help me?
I need to install nagiosgraph, but I cant do this, I am trying this for about 1 month. Actually I am trying to do the libary works, rrdtool.

It is installed when i put on my server: rrdtool -v I can see it.

root@nagios:/opt# rrdtool -v
RRDtool 1.4.8 Copyright 1997-2013 by Tobias Oetiker <tobi@oetiker.ch>
Compiled Jun 20 2014 10:05:43

Usage: rrdtool [options] command command_options
Valid commands: create, update, updatev, graph, graphv, dump, restore,
last, lastupdate, first, info, fetch, tune,
resize, xport, flushcached

RRDtool is distributed under the Terms of the GNU General
Public License Version 2. (www.gnu.org/copyleft/gpl.html)

For more information read the RRD manpages

But I dont know to do it work. Look:

root@nagios:/opt# rrdtool create temperature.rrd --step 300 \
> DS:temp:GAUGE:600:-273:5000 \
> RRA:AVERAGE:0.5:1:1200 \
> RRA:MIN:0.5:12:2400 \
> RRA:MAX:0.5:12:2400 \
> RRA:AVERAGE:0.5:12:2400
Bus Error (core dumped)

I dont know now what to do. Some idea?
I am actually workink on a Solaris 11 on a Sun SPARC T3.

Thanks
 
Old 07-08-2014, 05:54 PM   #2
jlliagre
Moderator
 
Registered: Feb 2004
Location: Outside Paris
Distribution: Solaris10, Solaris 11, Mint, OL
Posts: 9,523

Rep: Reputation: 365Reputation: 365Reputation: 365Reputation: 365
It seems you aren't using the Solaris rrdtool package but a custom built one.

I have no problem with the regular one:

Code:
$ cat /etc/release
                             Oracle Solaris 11.2 X86
  Copyright (c) 1983, 2014, Oracle and/or its affiliates.  All rights reserved.
                             Assembled 23 April 2014
$ pkg search -l /usr/bin/rrdtool
INDEX      ACTION VALUE           PACKAGE
path       file   usr/bin/rrdtool pkg:/image/rrdtool@1.4.3-0.175.2.0.0.22.0
$ rrdtool -v                                                                                                                 
RRDtool 1.4.3  Copyright 1997-2009 by Tobias Oetiker <tobi@oetiker.ch>
               Compiled Aug 22 2013 10:59:49

Usage: rrdtool [options] command command_options
Valid commands: create, update, updatev, graph, graphv,  dump, restore,
		last, lastupdate, first, info, fetch, tune,
		resize, xport, flushcached

RRDtool is distributed under the Terms of the GNU General
Public License Version 2. (www.gnu.org/copyleft/gpl.html)

For more information read the RRD manpages
$ rrdtool create temperature.rrd --step 300 \
       DS:temp:GAUGE:600:-273:5000 \
       RRA:AVERAGE:0.5:1:1200 \
       RRA:MIN:0.5:12:2400 \
       RRA:MAX:0.5:12:2400 \
       RRA:AVERAGE:0.5:12:2400
$ ls -lo temperature.rrd
-rw-r--r--   1 jlliagre   68324 Jul  8 23:37 temperature.rrd

Last edited by jlliagre; 07-09-2014 at 02:40 AM.
 
Old 07-15-2014, 11:31 AM   #3
keziacp
LQ Newbie
 
Registered: Mar 2014
Posts: 12

Original Poster
Rep: Reputation: Disabled
Hi,

Now I am actualy trying to test this.
perl -e 'use RRDs; print "OK\n";'
Can't locate loadable object for module RRDs in @INC (@INC contains: /usr/perl5/5.8.4/lib/sun4-solaris-64int /usr/perl5/5.8.4/lib /usr/perl5/site_perl/5.8.4/sun4-solaris-64int /usr/perl5/site_perl/5.8.4 /usr/perl5/site_perl /usr/perl5/vendor_perl/5.8.4/sun4-solaris-64int /usr/perl5/vendor_perl/5.8.4 /usr/perl5/vendor_perl .) at -e line 1
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

But I got a error and I try to fix this copying the archive that it wants for the folder in the INC, but it still doesnt work.

Any idea?
 
Old 07-15-2014, 11:34 AM   #4
keziacp
LQ Newbie
 
Registered: Mar 2014
Posts: 12

Original Poster
Rep: Reputation: Disabled
root@nagios:/opt/rrdtool-1.4.7/lib/perl/5.8.4# cp -r /usr/perl5/5.8.4/lib/sun4-solaris-64int/RRDs /usr/perl5/5.8.4/lib/sun4-solaris-64int
cp: /usr/perl5/5.8.4/lib/sun4-solaris-64int/RRDs and /usr/perl5/5.8.4/lib/sun4-solaris-64int/RRDs are identical

root@nagios:/opt/rrdtool-1.4.7/lib/perl/5.8.4# perl -e 'use RRDs; print "OK\n";'
Can't locate loadable object for module RRDs in @INC (@INC contains: /usr/perl5/5.8.4/lib/sun4-solaris-64int /usr/perl5/5.8.4/lib /usr/perl5/site_perl/5.4/sun4-solaris-64int /usr/perl5/site_perl/5.8.4 /usr/perl5/site_perl /usr/perl5/vendor_perl/5.8.4/sun4-solaris-64int /usr/perl5/vendor_perl/5.8.4 /usr/pe5/vendor_perl .) at -e line 1
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

I already tried to do this:
root@nagios:/opt/rrdtool-1.4.7/lib/perl/5.8.4# perl -e 'use lib qw(/opt/rrdtool-1.4.7/lib/perl/5.8.4); use RRDs; print "OK\n";'
Can't locate loadable object for module RRDs in @INC (@INC contains: /opt/rrdtool-1.4.7/lib/perl/5.8.4/sun4-solaris-64int /opt/rrdtool-1.4.7/lib/perl/5.8.4 /usr/perl5/5.8.4/lib/sun4-solaris-64int /usr/perl5/5.8.4/lib /usr/perl5/site_perl/5.8.4/sun4-solaris-64int /usr/perl5/site_perl/5.8.4 /usr/perl5/site_perl /usr/perl5/vendor_perl/5.8.4/sun4-solaris-64int /usr/perl5/vendor_perl/5.8.4 /usr/perl5/vendor_perl .) at -e line 1
Compilation failed in require at -e line 1.
BEGIN failed--compilation aborted at -e line 1.

and copy the folder that it is asking about, but still the same error.

Please, someone help me ;(
 
  


Reply

Tags
nagios, server, solaris, solaris 11


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] NagiosGraph fails precheck on RRDTool? thllgo Linux - Software 3 07-03-2014 03:20 PM
NagiosGraph problem IvanMP General 0 01-08-2013 12:18 PM
How to add services to Nagiosgraph? chuafengru Linux - Software 2 02-08-2011 01:00 AM
I need asistance : ) for install rrdtool in Linux 7.3 (basesystem is needed by glib milflen Linux - Software 1 07-18-2009 04:47 AM


All times are GMT -5. The time now is 04:53 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration